// package: bet.beteran.c2se.member_bank_withdraw
// file: c2se/member_bank_withdraw.proto

import * as jspb from "google-protobuf";
import * as protobuf_rpc_pb from "../protobuf/rpc_pb";
import * as protobuf_pagination_pb from "../protobuf/pagination_pb";
import * as models_member_bank_withdraw_pb from "../models/member_bank_withdraw_pb";

export class CreateMemberBankWithdrawRequest extends jspb.Message {
  getBankName(): string;
  setBankName(value: string): void;

  getName(): string;
  setName(value: string): void;

  getAccountNumber(): string;
  setAccountNumber(value: string): void;

  getAmount(): number;
  setAmount(value: number): void;

  getPassword(): string;
  setPassword(value: string): void;

  hasMemo(): boolean;
  clearMemo(): void;
  getMemo(): string;
  setMemo(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberBankWithdrawRequest.AsObject;
  static toObject(includeInstance: boolean, msg: CreateMemberBankWithdrawRequest): CreateMemberBankWithdrawRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: CreateMemberBankWithdrawRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberBankWithdrawRequest;
  static deserializeBinaryFromReader(message: CreateMemberBankWithdrawRequest, reader: jspb.BinaryReader): CreateMemberBankWithdrawRequest;
}

export namespace CreateMemberBankWithdrawRequest {
  export type AsObject = {
    bankName: string,
    name: string,
    accountNumber: string,
    amount: number,
    password: string,
    memo: string,
  }
}

export class CreateMemberBankWithdrawResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): CreateMemberBankWithdrawResponse.Result | undefined;
  setResult(value?: CreateMemberBankWithdrawResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberBankWithdrawResponse.AsObject;
  static toObject(includeInstance: boolean, msg: CreateMemberBankWithdrawResponse): CreateMemberBankWithdrawResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: CreateMemberBankWithdrawResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberBankWithdrawResponse;
  static deserializeBinaryFromReader(message: CreateMemberBankWithdrawResponse, reader: jspb.BinaryReader): CreateMemberBankWithdrawResponse;
}

export namespace CreateMemberBankWithdrawResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: CreateMemberBankWithdrawResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    hasMemberBankWithdraw(): boolean;
    clearMemberBankWithdraw(): void;
    getMemberBankWithdraw(): models_member_bank_withdraw_pb.MemberBankWithdraw | undefined;
    setMemberBankWithdraw(value?: models_member_bank_withdraw_pb.MemberBankWithdraw): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberBankWithdraw?: models_member_bank_withdraw_pb.MemberBankWithdraw.AsObject,
    }
  }
}

export class ListMemberBankWithdrawsRequest extends jspb.Message {
  hasPagination(): boolean;
  clearPagination(): void;
  getPagination(): protobuf_pagination_pb.Pagination | undefined;
  setPagination(value?: protobuf_pagination_pb.Pagination): void;

  clearSortsList(): void;
  getSortsList(): Array<protobuf_pagination_pb.Sort>;
  setSortsList(value: Array<protobuf_pagination_pb.Sort>): void;
  addSorts(value?: protobuf_pagination_pb.Sort, index?: number): protobuf_pagination_pb.Sort;

  hasSearch(): boolean;
  clearSearch(): void;
  getSearch(): ListMemberBankWithdrawsRequest.Search | undefined;
  setSearch(value?: ListMemberBankWithdrawsRequest.Search): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMemberBankWithdrawsRequest.AsObject;
  static toObject(includeInstance: boolean, msg: ListMemberBankWithdrawsRequest): ListMemberBankWithdrawsRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: ListMemberBankWithdrawsRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): ListMemberBankWithdrawsRequest;
  static deserializeBinaryFromReader(message: ListMemberBankWithdrawsRequest, reader: jspb.BinaryReader): ListMemberBankWithdrawsRequest;
}

export namespace ListMemberBankWithdrawsRequest {
  export type AsObject = {
    pagination?: protobuf_pagination_pb.Pagination.AsObject,
    sortsList: Array<protobuf_pagination_pb.Sort.AsObject>,
    search?: ListMemberBankWithdrawsRequest.Search.AsObject,
  }

  export class Search extends jspb.Message {
    hasMemberId(): boolean;
    clearMemberId(): void;
    getMemberId(): string;
    setMemberId(value: string): void;

    hasBankNameLike(): boolean;
    clearBankNameLike(): void;
    getBankNameLike(): string;
    setBankNameLike(value: string): void;

    hasNameLike(): boolean;
    clearNameLike(): void;
    getNameLike(): string;
    setNameLike(value: string): void;

    hasAccountNumberLike(): boolean;
    clearAccountNumberLike(): void;
    getAccountNumberLike(): string;
    setAccountNumberLike(value: string): void;

    hasAmount(): boolean;
    clearAmount(): void;
    getAmount(): number;
    setAmount(value: number): void;

    hasMemoLike(): boolean;
    clearMemoLike(): void;
    getMemoLike(): string;
    setMemoLike(value: string): void;

    hasState(): boolean;
    clearState(): void;
    getState(): models_member_bank_withdraw_pb.MemberBankWithdrawStateMap[keyof models_member_bank_withdraw_pb.MemberBankWithdrawStateMap];
    setState(value: models_member_bank_withdraw_pb.MemberBankWithdrawStateMap[keyof models_member_bank_withdraw_pb.MemberBankWithdrawStateMap]): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Search.AsObject;
    static toObject(includeInstance: boolean, msg: Search): Search.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Search, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Search;
    static deserializeBinaryFromReader(message: Search, reader: jspb.BinaryReader): Search;
  }

  export namespace Search {
    export type AsObject = {
      memberId: string,
      bankNameLike: string,
      nameLike: string,
      accountNumberLike: string,
      amount: number,
      memoLike: string,
      state: models_member_bank_withdraw_pb.MemberBankWithdrawStateMap[keyof models_member_bank_withdraw_pb.MemberBankWithdrawStateMap],
    }
  }
}

export class ListMemberBankWithdrawsResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): ListMemberBankWithdrawsResponse.Result | undefined;
  setResult(value?: ListMemberBankWithdrawsResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMemberBankWithdrawsResponse.AsObject;
  static toObject(includeInstance: boolean, msg: ListMemberBankWithdrawsResponse): ListMemberBankWithdrawsResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: ListMemberBankWithdrawsResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): ListMemberBankWithdrawsResponse;
  static deserializeBinaryFromReader(message: ListMemberBankWithdrawsResponse, reader: jspb.BinaryReader): ListMemberBankWithdrawsResponse;
}

export namespace ListMemberBankWithdrawsResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: ListMemberBankWithdrawsResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    clearMemberBankWithdrawsList(): void;
    getMemberBankWithdrawsList(): Array<models_member_bank_withdraw_pb.MemberBankWithdraw>;
    setMemberBankWithdrawsList(value: Array<models_member_bank_withdraw_pb.MemberBankWithdraw>): void;
    addMemberBankWithdraws(value?: models_member_bank_withdraw_pb.MemberBankWithdraw, index?: number): models_member_bank_withdraw_pb.MemberBankWithdraw;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberBankWithdrawsList: Array<models_member_bank_withdraw_pb.MemberBankWithdraw.AsObject>,
    }
  }
}

export class GetMemberBankWithdrawRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberBankWithdrawRequest.AsObject;
  static toObject(includeInstance: boolean, msg: GetMemberBankWithdrawRequest): GetMemberBankWithdrawRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: GetMemberBankWithdrawRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberBankWithdrawRequest;
  static deserializeBinaryFromReader(message: GetMemberBankWithdrawRequest, reader: jspb.BinaryReader): GetMemberBankWithdrawRequest;
}

export namespace GetMemberBankWithdrawRequest {
  export type AsObject = {
    id: string,
  }
}

export class GetMemberBankWithdrawResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): GetMemberBankWithdrawResponse.Result | undefined;
  setResult(value?: GetMemberBankWithdrawResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberBankWithdrawResponse.AsObject;
  static toObject(includeInstance: boolean, msg: GetMemberBankWithdrawResponse): GetMemberBankWithdrawResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: GetMemberBankWithdrawResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberBankWithdrawResponse;
  static deserializeBinaryFromReader(message: GetMemberBankWithdrawResponse, reader: jspb.BinaryReader): GetMemberBankWithdrawResponse;
}

export namespace GetMemberBankWithdrawResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: GetMemberBankWithdrawResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    hasMemberBankWithdraw(): boolean;
    clearMemberBankWithdraw(): void;
    getMemberBankWithdraw(): models_member_bank_withdraw_pb.MemberBankWithdraw | undefined;
    setMemberBankWithdraw(value?: models_member_bank_withdraw_pb.MemberBankWithdraw): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberBankWithdraw?: models_member_bank_withdraw_pb.MemberBankWithdraw.AsObject,
    }
  }
}

export class UpdateMemberBankWithdrawRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getBankName(): string;
  setBankName(value: string): void;

  getName(): string;
  setName(value: string): void;

  getAccountNumber(): string;
  setAccountNumber(value: string): void;

  getAmount(): number;
  setAmount(value: number): void;

  getPassword(): string;
  setPassword(value: string): void;

  hasMemo(): boolean;
  clearMemo(): void;
  getMemo(): string;
  setMemo(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberBankWithdrawRequest.AsObject;
  static toObject(includeInstance: boolean, msg: UpdateMemberBankWithdrawRequest): UpdateMemberBankWithdrawRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: UpdateMemberBankWithdrawRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberBankWithdrawRequest;
  static deserializeBinaryFromReader(message: UpdateMemberBankWithdrawRequest, reader: jspb.BinaryReader): UpdateMemberBankWithdrawRequest;
}

export namespace UpdateMemberBankWithdrawRequest {
  export type AsObject = {
    id: string,
    bankName: string,
    name: string,
    accountNumber: string,
    amount: number,
    password: string,
    memo: string,
  }
}

export class UpdateMemberBankWithdrawResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): UpdateMemberBankWithdrawResponse.Result | undefined;
  setResult(value?: UpdateMemberBankWithdrawResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberBankWithdrawResponse.AsObject;
  static toObject(includeInstance: boolean, msg: UpdateMemberBankWithdrawResponse): UpdateMemberBankWithdrawResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: UpdateMemberBankWithdrawResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberBankWithdrawResponse;
  static deserializeBinaryFromReader(message: UpdateMemberBankWithdrawResponse, reader: jspb.BinaryReader): UpdateMemberBankWithdrawResponse;
}

export namespace UpdateMemberBankWithdrawResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: UpdateMemberBankWithdrawResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    hasMemberBankWithdraw(): boolean;
    clearMemberBankWithdraw(): void;
    getMemberBankWithdraw(): models_member_bank_withdraw_pb.MemberBankWithdraw | undefined;
    setMemberBankWithdraw(value?: models_member_bank_withdraw_pb.MemberBankWithdraw): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberBankWithdraw?: models_member_bank_withdraw_pb.MemberBankWithdraw.AsObject,
    }
  }
}

export class UpdateMemberBankWithdrawForStateRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getState(): models_member_bank_withdraw_pb.MemberBankWithdrawStateMap[keyof models_member_bank_withdraw_pb.MemberBankWithdrawStateMap];
  setState(value: models_member_bank_withdraw_pb.MemberBankWithdrawStateMap[keyof models_member_bank_withdraw_pb.MemberBankWithdrawStateMap]): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberBankWithdrawForStateRequest.AsObject;
  static toObject(includeInstance: boolean, msg: UpdateMemberBankWithdrawForStateRequest): UpdateMemberBankWithdrawForStateRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: UpdateMemberBankWithdrawForStateRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberBankWithdrawForStateRequest;
  static deserializeBinaryFromReader(message: UpdateMemberBankWithdrawForStateRequest, reader: jspb.BinaryReader): UpdateMemberBankWithdrawForStateRequest;
}

export namespace UpdateMemberBankWithdrawForStateRequest {
  export type AsObject = {
    id: string,
    state: models_member_bank_withdraw_pb.MemberBankWithdrawStateMap[keyof models_member_bank_withdraw_pb.MemberBankWithdrawStateMap],
  }
}

export class UpdateMemberBankWithdrawForStateResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): UpdateMemberBankWithdrawForStateResponse.Result | undefined;
  setResult(value?: UpdateMemberBankWithdrawForStateResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberBankWithdrawForStateResponse.AsObject;
  static toObject(includeInstance: boolean, msg: UpdateMemberBankWithdrawForStateResponse): UpdateMemberBankWithdrawForStateResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: UpdateMemberBankWithdrawForStateResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberBankWithdrawForStateResponse;
  static deserializeBinaryFromReader(message: UpdateMemberBankWithdrawForStateResponse, reader: jspb.BinaryReader): UpdateMemberBankWithdrawForStateResponse;
}

export namespace UpdateMemberBankWithdrawForStateResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: UpdateMemberBankWithdrawForStateResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    hasMemberBankWithdraw(): boolean;
    clearMemberBankWithdraw(): void;
    getMemberBankWithdraw(): models_member_bank_withdraw_pb.MemberBankWithdraw | undefined;
    setMemberBankWithdraw(value?: models_member_bank_withdraw_pb.MemberBankWithdraw): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberBankWithdraw?: models_member_bank_withdraw_pb.MemberBankWithdraw.AsObject,
    }
  }
}

export class DeleteMemberBankWithdrawRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberBankWithdrawRequest.AsObject;
  static toObject(includeInstance: boolean, msg: DeleteMemberBankWithdrawRequest): DeleteMemberBankWithdrawRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: DeleteMemberBankWithdrawRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberBankWithdrawRequest;
  static deserializeBinaryFromReader(message: DeleteMemberBankWithdrawRequest, reader: jspb.BinaryReader): DeleteMemberBankWithdrawRequest;
}

export namespace DeleteMemberBankWithdrawRequest {
  export type AsObject = {
    id: string,
  }
}

export class DeleteMemberBankWithdrawResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): DeleteMemberBankWithdrawResponse.Result | undefined;
  setResult(value?: DeleteMemberBankWithdrawResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberBankWithdrawResponse.AsObject;
  static toObject(includeInstance: boolean, msg: DeleteMemberBankWithdrawResponse): DeleteMemberBankWithdrawResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: DeleteMemberBankWithdrawResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberBankWithdrawResponse;
  static deserializeBinaryFromReader(message: DeleteMemberBankWithdrawResponse, reader: jspb.BinaryReader): DeleteMemberBankWithdrawResponse;
}

export namespace DeleteMemberBankWithdrawResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: DeleteMemberBankWithdrawResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
    }
  }
}

